Bug 189876 - gcc dies with internal compiler error
gcc dies with internal compiler error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 09:51 EDT by Nils Philippsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 05:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source of the offending file (732.07 KB, text/plain)
2006-04-25 09:59 EDT, Nils Philippsen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 27260 None None None Never

  None (edit)
Description Nils Philippsen 2006-04-25 09:51:41 EDT
Description of problem:

While building an update for sane-backends, gcc died with an internal compiler
error when compiling plustek-pp_motor.c.

Version-Release number of selected component (if applicable):
gcc-4.1.0-10

How reproducible:
Reproducible.

Steps to Reproduce:
1. checkout sane-backends-1.0.17-9 from dist CVS/devel
2. build on ppc
  
Actual results:
"""
plustek-pp_motor.c: In function 'motorP96FillHalfStepTable':
plustek-pp_motor.c:1541: internal compiler error: in expand_expr_real_1, at
expr.c:6750
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc3eNbPd.out file, please attach this to
your bugreport.
"""

Expected results:
no internal compiler error

Additional info:
Comment 2 Nils Philippsen 2006-04-25 09:59:19 EDT
Created attachment 128200 [details]
preprocessed source of the offending file
Comment 3 Nils Philippsen 2006-04-25 10:01:17 EDT
btw, works fine on FC5 with gcc-4.1.0-3
Comment 4 Nils Philippsen 2006-05-03 03:22:21 EDT
fixed in gcc-4.1.0-12

Note You need to log in before you can comment on or make changes to this bug.